/***
 * Juliac
 * Copyright (C) 2010-2013 Inria, Univ. Lille 1
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: fractal@ow2.org
 *
 * Author: Lionel Seinturier
 */

package spoon.reflect;

import spoon.processing.Environment;
import spoon.reflect.CoreFactory;
import spoon.reflect.Factory;

/**
 * This class extends the {@link Factory} class from Spoon in order to be able
 * with the {@link #clone()} method to free the memory with is retained by the
 * static field {@link Factory#launchingFactory}.
 * 
 * @author Lionel Seinturier <Lionel.Seinturier@univ-lille1.fr>
 * @since 2.2.6
 */
public class JuliacSpoonFactory extends Factory {
	
	private static final long serialVersionUID = -7215331058603792476L;

	public JuliacSpoonFactory(
		CoreFactory coreFactory, Environment environment ) {
		
		super(coreFactory,environment);
	}
	
	public void close() {
		Factory.launchingFactory = null;
	}
}
